enumerations

## Enum CCode

- java.lang.Object
- - java.lang.Enum<CCode>
  - - enumerations.CCode

- All Implemented Interfaces:
    EnumBase, java.io.Serializable, java.lang.Comparable<CCode>

      public enum CCode
      extends java.lang.Enum<CCode>
      implements EnumBase

  C-Field codes specified in Wireless M-Bus, their meanings and hexadecimal representations.
  Author:
    David Hudec (dwdization@gmail.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACC_DMD`
    `ACC_NR`
    `SND_NKE`
    `SND_NR`
    `SND_UD`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `hexCode`
    `private java.lang.String` | `niceName`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHexCode()`
    `java.lang.String` | `getNiceName()`
    `static CCode` | `parse(int code)`
    `java.lang.String` | `toString()`
    `static CCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface core.EnumBase

      `ordinal`

- - ### Enum Constant Detail

    - #### ACC_DMD

          public static final CCode ACC_DMD

    - #### ACC_NR

          public static final CCode ACC_NR

    - #### SND_NKE

          public static final CCode SND_NKE

    - #### SND_NR

          public static final CCode SND_NR

    - #### SND_UD

          public static final CCode SND_UD

  - ### Field Detail

    - #### hexCode

          private final int hexCode

    - #### niceName

          private final java.lang.String niceName

  - ### Method Detail

    - #### getHexCode

          public int getHexCode()

    - #### getNiceName

          public java.lang.String getNiceName()

      Specified by:
        `getNiceName` in interface `EnumBase`

    - #### parse

          public static CCode parse(int code)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<CCode>`

    - #### valueOf

          public static CCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static CCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CCode c : CCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared